import type { JSX } from "react";
/**
 * Renders a child of the current node, designated by its name.
 *
 * If the child node does not exist, it will display the "Add content" buttons.
 */
export declare function RenderChild({ name, view, }: {
    /**
     * The name of the child node to render.
     *
     * In the CND file, it's what's after the `+` in the child node definition: `+ name (type)`.
     */
    name: string;
    /** View to use when rendering the child. */
    view?: string | undefined;
}): JSX.Element;
