import type { Node } from "javax.jcr";
import type { JCRSessionWrapper } from "org.jahia.services.content";
/**
 * Execute a JCR SQL2 query and return the result as an array of nodes
 *
 * @param session The JCR session to use
 * @param query The JCR SQL2 query to execute
 * @param limit The maximum number of nodes to return (-1 to return all nodes, but be careful with
 *   this as it can be very slow and memory consuming, it's better to use a reasonable limit and use
 *   pagination if needed)
 * @param offset The offset to start from
 * @returns An array containing the nodes returned by the query
 */
export declare function getNodesByJCRQuery(session: JCRSessionWrapper, query: string, limit?: number | undefined, offset?: number): Node[];
